set_working_dir "D:/CMS_FED/vme_firmware/ls/top_struct/netlists"

set part 2V1000fg456
set process 4
set wire_table xcv2-1000-4_wc
set virtex_map_iob_registers TRUE
set virtex_use_lowskew TRUE
load_library xcv2

set encoding auto

source "D:/CMS_FED/vme_firmware/ls/top_struct/scripts/open_files.tcl"

set register2register 20
set input2register 20
set register2output 20

pre_optimize -common_logic -unused_logic -boundary -xor_comparator_optimize

pre_optimize -extract

#optimize .work.top.struct -target xcv2 -chip -delay -effort standard -hierarchy auto
optimize .work.top.struct -target xcv2 -chip -auto -effort standard -hierarchy auto

optimize_timing .work.top.struct

auto_write D:/CMS_FED/vme_firmware/ls/top_struct/netlists/top.edf
